- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.targetingPreset/batchDeactivate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.targetingPreset/batchDeactivate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.targetingPreset/batchDeactivate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.targetingPreset/batchDeactivate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.targetingPreset/batchDeactivate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.targetingPreset/batchDeactivate#body.BatchDeactivateTargetingPresetsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.targetingPreset/batchDeactivate#body.aspect)
- [DeactivateTargetingPresetRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.targetingPreset/batchDeactivate#DeactivateTargetingPresetRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.targetingPreset/batchDeactivate#DeactivateTargetingPresetRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.targetingPreset/batchDeactivate#try-it)

Batch deactivates `TargetingPreset` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/targetingPreset:batchDeactivate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `networks/{networkCode}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.targetingPreset/batchDeactivate#DeactivateTargetingPresetRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.targetingPreset/batchDeactivate#DeactivateTargetingPresetRequest`)`` Required. The `TargetingPreset` objects to deactivate. |

### Response body

Response message for `DeactivateTargetingPresets` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "changeCount": string } ``` |

| Fields ||
|---|---|
| `changeCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of objects that were deactivated as a result of performing the action. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## DeactivateTargetingPresetRequest

Request object for `DeactivateTargetingPreset` method.

| JSON representation |
|---|
| ``` { "name": string, "targetingPresetId": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. Resource name for the TargetingPreset. Format: `networks/{networkCode}/targetingPreset/{targetingPresetId}` |
| `targetingPresetId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. TargetingPreset ID to deactivate. |